Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517774 - [RFE] Provide support for adding routers using ovirt-provider-ovn
Summary: [RFE] Provide support for adding routers using ovirt-provider-ovn
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-provider-ovn
Classification: oVirt
Component: provider
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.2
: ---
Assignee: Marcin Mirecki
QA Contact: Mor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 12:41 UTC by Mor
Modified: 2018-04-08 11:53 UTC (History)
7 users (show)

Fixed In Version: ovirt-provider-ovn-1.2.7
Doc Type: Enhancement
Doc Text:
This feature provides basic router support, as described by the OpenStack Networking API. Note that the "external_gateway_info" property is not supported by this feature.
Clone Of:
Environment:
Last Closed: 2018-03-29 11:09:51 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+
ylavi: planning_ack+
danken: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)

Description Mor 2017-11-27 12:41:54 UTC
Description of problem:
OVN supports adding logical routers, which connects different subnets and allow NATing them to external networks. The Neutron API (v2.0) specification also includes support for router entities (https://developer.openstack.org/api-ref/network/v2/#routers-routers). 

OVN network provider (ovirt-provider-ovn) should support router entities accordantly. This will improve the usage of OVN networks in oVirt/RHV/CFME products, allowing VM's on different OVN networks to communicate on both internal and external networks (e.g. Internet).

UI is also needed to manage CRUD functionality of router entities, and attachment to internal networks, external networks, and routers.

Additional info:
OVN L3 Gateways - http://openvswitch.org/support/boston2017/1150-ovn-gateways-ipv6.pdf

Comment 1 Yaniv Lavi 2017-12-27 10:05:36 UTC
Can you attached the patches?

Comment 2 Marcin Mirecki 2018-01-24 11:07:05 UTC
The list of patches so far listed below.
Work is still in progress.


81942
82059
81943
82771
82762
82767
82765
82764
82763
82719
82691
82600
82660
82075
82060
82087
84033
83550
83135
83098
83000
82945
82816
82779
85696
85796
85651
85650
85647
85646
84029
86470
86449
86397
86415
86414
85701

Comment 3 Mor 2018-03-21 15:37:55 UTC
Verified on:
RHV Version 4.2.2.4-0.1.el7

Comment 4 Sandro Bonazzola 2018-03-29 11:09:51 UTC
This bugzilla is included in oVirt 4.2.2 release, published on March 28th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.2 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.